# Andrey version 1.0.0
# AndreyType.py
# by Antoine Rauzy
# Copyrights (c) 2018 AltaRica Association
#
# This file is part of Andrey, a pedagogical implementation of Markov chains.
# Andrey is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Andrey is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with Andrey.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) EdsgerType
#   2.1) Tokens & keywords
#   2.2) Elements

# 1) Imported modules
# -------------------

from S2MLType import *

# 2) S2MLType
# -----------

class AndreyType(S2MLType):

# 2.1) Tokens & keywords
# ----------------------

  # Symbols
  TOKEN_RIGHT_ARROW = 1101

  # Keywords
  KEYWORD_STATE = 1201
  KEYWORD_EVENT = 1202
  KEYWORD_TRANSITION = 1203
  KEYWORD_REWARD = 1204

  KEYWORD_IN = 1301

# 2.2) Elements
# -------------

  MARKOV_CHAIN_STATE = 1201
  MARKOV_CHAIN_EVENT = 1202
  MARKOV_CHAIN_TRANSITION = 1203

  MARKOV_CHAIN = 1211
  MARKOV_SYSTEM = 1212

  MARKOV_CHAIN_PARAMETER = 1221
  MARKOV_CHAIN_REWARD = 1222

  IN_EXPRESSION = 1301

  TEMPORIZED = 1
  IMMEDIATE = 2
